package org.implab.gradle.common.exec;

/** Shell used to start processes */
public interface ExecShell {

    /** Creates new process builder {@link ExecBuilder} */
    ExecBuilder builder();

    /**
     * Creates default process execution "shell" which will execute processes
     * directly.
     */
    static ExecShell system() {
        return () -> new SystemExecBuilder();
    }
}
